Main Page Widgets Namespaces Book

# Gtk::Curve Class Reference
[Widgets]

Inheritance diagram for Gtk::Curve:

[legend]
List of all members.

## Detailed Description

Allows direct editing of a curve.

## Public Member Functions

virtual | ~Curve ()
GtkCurve* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCurve* | gobj () const
| Provides access to the underlying C GtkObject.
| Curve ()
void | reset ()
void | set_gamma (float gamma)
void | set_range (float min_x, float max_x, float min_y, float max_y)
void | get_vector (int veclen, float* data) const
Glib::ArrayHandle<float> | get_vector (int veclen) const
void | set_vector (const Glib::ArrayHandle<float>& array)
void | set_curve_type (CurveType type)
Glib::SignalProxy0<void> | signal_curve_type_changed ()
Glib::PropertyProxy<CurveType> | property_curve_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< CurveType > | property_curve_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_min_x ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< float > | property_min_x () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_max_x ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< float > | property_max_x () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_min_y ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< float > | property_min_y () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_max_y ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< float > | property_max_y () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_curve_type_changed ()

## Related Functions

(Note that these are not member functions.)
Gtk::Curve* | wrap (GtkCurve* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Curve::~Curve | ( |  | ) | `[virtual]`

Gtk::Curve::Curve | ( |  | ) |

## Member Function Documentation

Glib::ArrayHandle<float> Gtk::Curve::get_vector | ( | int | veclen | ) | const

void Gtk::Curve::get_vector | ( | int | veclen,
|  | float* | data
| ) | const

const GtkCurve* Gtk::Curve::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::DrawingArea.

GtkCurve* Gtk::Curve::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::DrawingArea.

virtual void Gtk::Curve::on_curve_type_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<CurveType> Gtk::Curve::property_curve_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<CurveType> Gtk::Curve::property_curve_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_max_x | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_max_x | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_max_y | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_max_y | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_min_x | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_min_x | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_min_y | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_min_y | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Curve::reset | ( |  | ) |

void Gtk::Curve::set_curve_type | ( | CurveType | type | ) |

void Gtk::Curve::set_gamma | ( | float | gamma | ) |

void Gtk::Curve::set_range | ( | float | min_x,
|  | float | max_x,
|  | float | min_y,
|  | float | max_y
| ) |

void Gtk::Curve::set_vector | ( | const Glib::ArrayHandle<float>& | array | ) |

Glib::SignalProxy0<void> Gtk::Curve::signal_curve_type_changed | ( |  | ) |

## Friends And Related Function Documentation

Gtk::Curve* wrap | ( | GtkCurve* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- curve.h